/**
 * @file:   生成component
 * @author: lzc
 * @date:   2019-03-11
 */
module.exports = (api, options) => {
  // 需要生成的文件
  const files = options.global
    ? {
      [`./src/components/global/${options.name.pascalCase}/index.vue`]: `./src/index.vue`
    }
    : {
      [`./src/components/${options.name.pascalCase}/index.vue`]: `./src/index.vue`
    }
  
  // 渲染
  api.render(files, {
    ...options
  })
  
  // 渲染完成回调
  api.onCreateComplete(() => {
    console.log('component 已生成 done!!')
  })
}
