/**
 * @file: <%= name.kebabCase %> 模块路由
 */
import Layout from '@/layout/default';

export default {
  path: '/<%= name.kebabCase %>',
  name: '<%= name.kebabCase %>',
  component: Layout,
  redirect: { name: `${pre}index` },
  children: (pre => [
    {
      path: 'index',
      name: `${pre}index`,
      component: () => import('@/views/<%= name.kebabCase %>'),
      meta: {
        breadcrumb: [],
      },
    },
  ])('<%= name.kebabCase %>-'),
};
