/**
 * @file:   文件描述
 * @author: lzc
 * @date:   2019-03-11
 */
module.exports = (api, options) => {
  // 需要生成的文件
  const files = options.global
    ? {
      [`./src/mixins/global/${options.name.kebabCase}/index.js`]: `./src/index.js`
    }
    : {
      [`./src/mixins/${options.name.kebabCase}/index.js`]: `./src/index.js`
    }
  
  // 渲染
  api.render(files, {
    ...options
  })
  
  // 渲染完成回调
  api.onCreateComplete(() => {
    console.log('done!!')
  })
}
