/**
 * @file:   文件描述
 * @author: lzc
 * @date:   2019-03-11
 */
module.exports = (api, options) => {
  // 需要生成的文件
  const files = {
    [`./src/store/modules/${options.name.kebabCase}/index.js`]: `./src/index.js`,
    [`./src/store/modules/${options.name.kebabCase}/actions.js`]: `./src/actions.js`,
    [`./src/store/modules/${options.name.kebabCase}/getters.js`]: `./src/getters.js`,
    [`./src/store/modules/${options.name.kebabCase}/state.js`]: `./src/state.js`,
    [`./src/store/modules/${options.name.kebabCase}/mutations.js`]: `./src/mutations.js`
  }
  
  // 渲染
  api.render(files, {
    ...options
  })
  
  // 渲染完成回调
  api.onCreateComplete(() => {
    console.log('done!!')
  })
}
